<div>
    <h2>
        <span jhiTranslate="pcidssApp.saqResponse.home.title">Saq Responses</span>
        <button class="btn btn-primary float-right create-saq-response" [routerLink]="['/', { outlets: { popup: ['saq-response-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="pcidssApp.saqResponse.home.createLabel">
            Create new Saq Response
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="saqResponses">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="responseInput"><span jhiTranslate="pcidssApp.saqResponse.responseInput">Response Input</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="appendixType"><span jhiTranslate="pcidssApp.saqResponse.appendixType">Appendix Type</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="appendixData"><span jhiTranslate="pcidssApp.saqResponse.appendixData">Appendix Data</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="saqLevel2Id.id"><span jhiTranslate="pcidssApp.saqResponse.saqLevel2Id">Saq Level 2 Id</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="requirementWorkStatusId.id"><span jhiTranslate="pcidssApp.saqResponse.requirementWorkStatusId">Requirement Work Status Id</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let saqResponse of saqResponses ;trackBy: trackId">
                <td><a [routerLink]="['../saq-response', saqResponse.id ]">{{saqResponse.id}}</a></td>
                <td>{{saqResponse.responseInput}}</td>
                <td>{{saqResponse.appendixType}}</td>
                <td>{{saqResponse.appendixData}}</td>
                <td>
                    <div *ngIf="saqResponse.saqLevel2Id">
                        <a [routerLink]="['../saq-level-2', saqResponse.saqLevel2Id?.id ]" >{{saqResponse.saqLevel2Id?.id}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="saqResponse.requirementWorkStatusId">
                        <a [routerLink]="['../requirement-work-status', saqResponse.requirementWorkStatusId?.id ]" >{{saqResponse.requirementWorkStatusId?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../saq-response', saqResponse.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'saq-response/'+ saqResponse.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'saq-response/'+ saqResponse.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="saqResponses && saqResponses.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
